<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 挂布 -->
<style>

</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">挂布</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select">
                    <option value="半透纱幔">半透纱幔</option>
                </select>
            </div>
            <input type="hidden" name="proTypeValue" class="layui-input" value="挂布">
            <input type="hidden" id="proTypeValue" value="挂布">
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽  </span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input"
                       autocomplete="off">
            </div>
            <p>
                数量（个）
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="count" class="layui-input"
                       lay-verify="number">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                配件：<span
                    style="font-size:14px;color:red"></span>
            </p>
            <div class="layui-input-block">
                <input type="checkbox" name="craftys" lay-filter="switch" value="木棍（长度50厘米）" title="木棍（长度50厘米）">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="switch" value="净裁" title="净裁">
                <input type="checkbox" name="craft" lay-filter="switch" value="打孔" title="打孔">
                <input type="checkbox" name="craft" lay-filter="switch" value="缝筒" title="缝筒">
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});

        function getProductImage(craft) {

            $("#carousel").empty();
            $("#remark").empty();
            let data = {proTypeValue: "挂布"}
            let remark = "";
            let html = "";
            if (craft != '' && craft == '定制') {
                data.craftValue = craft;
            }
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        remark = "";
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[0].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on("radio(switch)", (data) => {
            getProductImage(data.elem.checked ? data.value : '');
        })
        form.on("checkbox(switch)", (data) => {
            let arr = []

            if ($("input[name='craft']:checked").length > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('工艺不能同时选择！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            getProductImage(data.elem.checked ? data.value : '');
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {

            let size = $("#size").val();
            let count = $("#count").val();
            let craftys = $("input[name='craftys']:checked").val();
            if (!size) {
                layer.msg('请输入尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (!count) {
                layer.msg('请输入数量！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (size.split("*")[0] < 20 || size.split("*")[1] < 20) {
                layer.msg('挂布最小尺寸20*20cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (size.split("*")[0] > 150 || size.split("*")[1] > 150) {
                layer.msg('挂布宽度超过150cm需要拼接！', {offset: ['300px', '300px']}, function () {
                });
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    let arr = [];
                    let data = result.data.proList;
                    let kind = $("select[name='kindValue'] option:selected").val();
                    let number = $("#number").val();
                    let craftys = $("input[name='craftys']:checked").val();
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is("disabled")) {
                            arr.push($(this).val())
                        }
                    })

                    let span_result = kind + ' - ' + size + ' 厘米 -(同款内容)\n' + "工艺 :" + arr.join(",") + "\n";
                    if (craftys) {
                        span_result += "配件:" + craftys
                        span_result += "\n"
                    }

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    $("#span_result").val(span_result);

                    getRemark($("#proTypeValue").val(), size, count, kind, number, arr, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });

</script>
</html>